<?php

/**
 * @class Tecnologia
 * @brief Modelo de la tabla "tbl_tecnologias".
 * 
 * @property integer $id
 * @property string $descripcion
 * 
 * @package application.models
 *  
 */
class Tecnologia extends CActiveRecord {

    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    /**
     * @return string nombre de la tabla en la base de datos
     */
    public function tableName() {
        return 'tbl_tecnologias';
    }

    /**
     * @return array reglas de validación
     */
    public function rules() {
        return array(
            array('descripcion', 'required'),
            array('descripcion', 'length', 'max' => 255),

            array('id, descripcion', 'safe', 'on' => 'search'),
        );
    }

    /**
     * @return array etiquetas para los campos (campo=>etiqueta)
     */
    public function attributeLabels() {
        return array(
            'id' => 'ID',
            'descripcion' => 'Descripción',
        );
    }

    /**
     * Retrieves a list of models based on the current search/filter conditions.
     * @return CActiveDataProvider the data provider that can return the models based on the search/filter conditions.
     */
    public function search() {
        // Warning: Please modify the following code to remove attributes that
        // should not be searched.

        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('descripcion', $this->descripcion, true);

        $sort = new CSort;
        $sort->defaultOrder = 'descripcion ASC';

        return new CActiveDataProvider($this, array(
                    'criteria' => $criteria,
                    'sort' => $sort,
                ));
    }

}
?>